'*************************************************************************
' Klass: frmVerifyFiles
' Beroenden: 
' Syfte: 
' F�rfattare: Fredrik Haglund, Stefan Haglund
' Senast �ndrad av: Stefan Haglund
' Senast �ndrad: 2007-04-27 00:43
' Kommentarer: 
'*************************************************************************

Imports System.Threading
Imports System.Globalization
Imports System.Resources

Public Class frmVerifyFiles

  Public Sub New()
    ' This call is required by the Windows Form Designer.
    InitializeComponent()

    CancelButton = cmdOK

  End Sub

  Private Sub frmBusyFiles_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
    lblText.Text = RM.GetString("Some files failed verification. See list for details.")
    Header1.Text = RM.GetString("File")
    Header2.Text = RM.GetString("Details")
    cmdOK.Text = RM.GetString("Close")
  End Sub

  Public Sub AddBusyFile(ByVal strPath As String, ByVal strInformation As String)
    Dim lstItem As New ListViewItem
    lstItem.Text = strPath
    lstItem.SubItems.Add(strInformation)
    lvwBusyFiles.Items.Add(lstItem)
  End Sub

  Private Sub frmBusyFiles_Closed(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Closed
    lvwBusyFiles.Items.Clear()
  End Sub

  Private Sub cmdOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdOK.Click
    Me.Close()
  End Sub
End Class
