﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CDBurnerXP.Forms
{
    public class TaggedComboBoxItem
    {
        private string m_Name;
        private object m_Tag;

        #region Properties

        public string Name
        {
            get { return m_Name; }
            set { m_Name = value; }
        }

        public object Tag
        {
            get { return m_Tag; }
            set { m_Tag = value; }
        }

        #endregion

        public TaggedComboBoxItem()
        {
            m_Name = string.Empty;
            m_Tag = null;
        }

        public TaggedComboBoxItem(string name, object tag)
        {
            m_Name = name;
            m_Tag = tag;
        }

        public override string ToString()
        {
            return m_Name;
        }
    }
}
