Imports System.Drawing.Drawing2D
Friend Class DBLBuffering
  Private P_Canvas As Bitmap
  Private m_Smoothing As SmoothingMode = SmoothingMode.Default

  Public Property [Canvas]() As Bitmap
    Get
      Return P_Canvas
    End Get
    Set(ByVal Value As Bitmap)
      P_Canvas = Value
    End Set
  End Property

  Public Property Smoothing() As SmoothingMode
    Get
      Return m_Smoothing
    End Get
    Set(ByVal value As SmoothingMode)
      m_Smoothing = value
    End Set
  End Property

  Public Sub New(ByVal CanvasWidth As Integer, ByVal CanvasHeight As Integer)
    P_Canvas = New Bitmap(CanvasWidth, CanvasHeight)
  End Sub

  Public Function Store() As Graphics
    Dim g As Graphics = Graphics.FromImage(P_Canvas)
    Return g
  End Function

  Public Sub Paint(ByVal Where As Object)
    Dim g As Graphics = Where.CreateGraphics()
    g.SmoothingMode = Smoothing
    Dim g2 As Graphics = Graphics.FromImage(P_Canvas)
    g2.SmoothingMode = Smoothing

    g.DrawImage(P_Canvas, 0, 0)
    g.Dispose()
    g2.Dispose()
  End Sub

  Public Sub [Dispose]()
    P_Canvas.Dispose()
  End Sub
End Class
