﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CDBurnerXP.Burning
{
    public class CompilationProgressEventArgs : EventArgs
    {
        private byte m_Value;

        /// <summary>
        /// Gets the loading progress from 0 to 100.
        /// </summary>
        public byte Value
        {
            get
            {
                return m_Value;
            }
        }

        public CompilationProgressEventArgs(byte value)
        {
            m_Value = value;
        }
    }
}
