; *** Inno Setup version 5.1.11+ Lithuanian messages ***
;
; To download user-contributed translations of this file, go to:
;   http://www.jrsoftware.org/is3rdparty.php
;
; Note: When translating this text, do not add periods (.) to the end of
; messages that didn't have them already, because on those messages Inno
; Setup adds the periods automatically (appending a period would result in
; two periods being displayed).
; Translated by Robertas Rimas (Loptar AT takas DOT lt)
; Corrected and updated by Rolandas Rudomanskis (rolandasr AT gmail DOT com)

[LangOptions]
LanguageName=Lietuvi<0173>
LanguageID=$0427
LanguageCodePage=1257
; If the language you are translating to requires special font faces or
; sizes, uncomment any of the following entries and change them accordingly.
DialogFontName=Tahoma
DialogFontSize=8
WelcomeFontName=Tahoma
WelcomeFontSize=12
TitleFontName=Tahoma
TitleFontSize=24
CopyrightFontName=Tahoma
CopyrightFontSize=8

[Messages]

; *** Application titles
SetupAppTitle=diegimas
SetupWindowTitle=diegimas - %1
UninstallAppTitle=Paalinimas
UninstallAppFullTitle=%1 paalinimas

; *** Misc. common
InformationTitle=Informacija
ConfirmTitle=Patvirtinimas
ErrorTitle=Klaida

; *** SetupLdr messages
SetupLdrStartupMessage=%1 diegimas. Ar norite tsti?
LdrCannotCreateTemp=Negaliu sukurti laikinosios bylos. diegimas nutraukiamas
LdrCannotExecTemp=Negaliu vykdyti bylos laikinajame kataloge. diegimas nutraukiamas

; *** Startup error messages
LastErrorMessage=%1.%n%nKlaida %2: %3
SetupFileMissing=diegimo kataloge byla %1 nerasta. Praome itaisyti i problem arba sigyti nauj programos kopij.
SetupFileCorrupt=diegimo bylos sugadintos. sigykite nauj programos kopij.
SetupFileCorruptOrWrongVer=diegiamos bylos yra sugadintos arba nesuderinamos su diegimo programa. Itaisykite problem arba sigykite nauj programos kopij.
NotOnThisPlatform=i programa negali bti paleista %1 aplinkoje.
OnlyOnThisPlatform=i programa turi bti leidiama %1 aplinkoje.
OnlyOnTheseArchitectures=i programa gali bti diegta tik Windows versijose, turiniose ias procesoriaus architektras:%n%n%1
MissingWOW64APIs=Windows versija, kuri Js naudojate, neturi funkcij, reikaling atlikti 64 bit diegimams. Tam, kad isprstumte i problem, diekite Service Pack %1.
WinVersionTooLowError=i programa reikalauja %1 %2 ar vlesns versijos.
WinVersionTooHighError=i programa negali bti diegta %1 %2 ar vlesns versijos aplinkoje.
AdminPrivilegesRequired=ios programos diegimui privalote bti prisijungs Administratoriaus teismis.
PowerUserPrivilegesRequired=ios programos diegimui privalote bti prisijungs Administratoriaus arba Power Users grups nario teismis.
SetupAppRunningError=diegimo programa aptiko, kad yra paleista %1.%n%nUdarykite visas paleistas ios programos kopijas ir, jei norite tsti, paspauskite Gerai arba Ataukti, jei norite nutraukti diegim.
UninstallAppRunningError=Paalinimo programa aptiko, kad yra paleista %1.%n%nUdarykite visas paleistas ios programos kopijas ir, jei norite tsti, paspauskite Gerai arba Ataukti, jei norite nutraukti diegim.

; *** Misc. errors
ErrorCreatingDir=diegimo programa negali sukurti katalogo %1
ErrorTooManyFilesInDir=Nemanoma sukurti bylos kataloge %1, nes jame per daug byl

; *** Setup common messages
ExitSetupTitle=Udaryti diegimo program
ExitSetupMessage=diegimas nebaigtas. Jei baigsite dabar, programa nebus diegta.%n%nJs galite paleisti diegimo program kit kart, kad pabaigtumte diegim.%n%nUdaryti diegimo program?
AboutSetupMenuItem=&Apie diegimo program...
AboutSetupTitle=Apie diegimo program
AboutSetupMessage=%1 versija %2%n%3%n%n%1 puslapis internete:%n%4
AboutSetupNote=
TranslatorNote=

; *** Buttons
ButtonBack=< &Atgal
ButtonNext=&Pirmyn >
ButtonInstall=&diegti
ButtonOK=Gerai
ButtonCancel=Ataukti
ButtonYes=&Taip
ButtonYesToAll=Taip &visk
ButtonNo=&Ne
ButtonNoToAll=N&e nieko
ButtonFinish=&Pabaiga
ButtonBrowse=&Nurodyti...
ButtonWizardBrowse=Nu&rodyti...
ButtonNewFolder=&Naujas katalogas

; *** "Select Language" dialog messages
SelectLanguageTitle=Nurodykite diegimo programos kalb
SelectLanguageLabel=Nurodykite diegimo metu naudojam kalb:

; *** Common wizard text
ClickNext=Paspauskite Pirmyn, jei norite tsti, arba Ataukti, jei norite ieiti i diegimo programos.
BeveledLabel=
BrowseDialogTitle=Nurodykite katalog
BrowseDialogLabel=Pasirinkite katalog i srao ir paspauskite Gerai.
NewFolderName=Naujas katalogas

; *** "Welcome" wizard page
WelcomeLabel1=Sveiki! ia [name] diegimo programa.
WelcomeLabel2=diegimo programa diegs [name] Js kompiuteryje.%n%nPrie tsiant diegim, rekomenduojama udaryti visas nereikalingas programas.

; *** "Password" wizard page
WizardPassword=Slaptaodis
PasswordLabel1=is diegimas yra apsaugotas slaptaodiu.
PasswordLabel3=veskite slaptaod ir spauskite Pirmyn, jei norite tsti diegim. Atkreipkite dmes: didiosios ir maosios raids vertinamos skirtingai (case sensitive).
PasswordEditLabel=&Slaptaodis:
IncorrectPassword=vestas slaptaodis yra neteisingas. Praome bandyti i naujo.

; *** "License Agreement" wizard page
WizardLicense=Licencin sutartis
LicenseLabel=Praome perskaityti i informacij prie tsdami diegim.
LicenseLabel3=Praome perskaityti Licencijos sutart. Prie tsdami diegim Js turite sutikti su reikalavimais.
LicenseAccepted=A &sutinku su reikalavimais
LicenseNotAccepted=A &nesutinku su reikalavimais

; *** "Information" wizard pages
WizardInfoBefore=Informacija
InfoBeforeLabel=Praome perskaityti i informacij prie tsiant diegim.
InfoBeforeClickLabel=Kai bsite pasiruos tsti diegim, spauskite Pirmyn.
WizardInfoAfter=Informacija
InfoAfterLabel=Praome perskaityti i informacij prie tsiant diegim.
InfoAfterClickLabel=Kai bsite pasiruos tsti diegim, spauskite Pirmyn.

; *** "User Information" wizard page
WizardUserInfo=Informacija apie vartotoj
UserInfoDesc=Praome vesti vartotojo duomenis.
UserInfoName=&Vartotojo vardas:
UserInfoOrg=&Organizacija:
UserInfoSerial=&Serijinis numeris:
UserInfoNameRequired=Js privalote vesti vard.

; *** "Select Destination Location" wizard page
WizardSelectDir=Pasirinkite diegimo katalog
SelectDirDesc=Kur turi bti diegta [name]?
SelectDirLabel3=diegimo programa diegs [name]  nurodyt katalog.
SelectDirBrowseLabel=Nordami tsti diegim spauskite Pirmyn. Jei norite pasirinkti kit katalog, spauskite Nurodyti.
DiskSpaceMBLabel=Reikia maiausiai [mb] MB laisvos vietos kietajame diske.
ToUNCPathname=diegimo programa negali diegti  UNC tipo katalog. Jeigu bandote diegti program tinkle, reikia sukurti tinklin disk ir nurodyti reikiam katalog.
InvalidPath=Js privalote rayti piln keli su disko raide; pavyzdiui:%n%nC:\APP%n% ir negalima nurodyti UNC tipo katalog:%n%n\\Serveris\share
InvalidDrive=Diskas, kur nurodte, neegzistuoja arba yra neprieinamas. Praome nurodyti kit disk ir/arba katalog.
DiskSpaceWarningTitle=Nepakanka laisvos vietos diske
DiskSpaceWarning=diegimas reikalauja bent %1 KB laisvos vietos, bet nurodytame diske yra tik %2 KB laisvos vietos.%n%nAr Js vis tiek norite tsti?
DirNameTooLong=Katalogo pavadinimas ar kelias iki jo per ilgas.
InvalidDirName=Nekorektikas katalogo pavadinimas.
BadDirName32=Katalogo pavadinime neturi bti simboli:%n%n%1
DirExistsTitle=Toks katalogas egzistuoja
DirExists=Katalogas:%n%n%1%n%n jau egzistuoja. Ar vistiek norite diegti program tame kataloge?
DirDoesntExistTitle=Toks katalogas neegzistuoja.
DirDoesntExist=Katalogas:%n%n%1%n%n neegzistuoja. Ar norite kad katalogas bt sukurtas?

; *** "Select Components" wizard page
WizardSelectComponents=Komponent pasirinkimas
SelectComponentsDesc=Kurie komponentai turi bti diegti?
SelectComponentsLabel2=Paymkite komponentus, kuriuos norite diegti; nuimkite ymes nuo komponent, kuri nenorite diegti. Kai bsite pasiruos tsti, spauskite Pirmyn.
FullInstallation=Pilnas vis komponent diegimas
; if possible don't translate 'Compact' as 'Minimal' (I mean 'Minimal' in your language)
CompactInstallation=Glaustas diegimas
CustomInstallation=Pasirinktinis diegimas
NoUninstallWarningTitle=Komponentai egzistuoja
NoUninstallWarning=diegimo programa aptiko, kad ie komponentai jau diegti Js kompiuteryje:%n%n%1%n%nJei nuimsite ymes nuo i komponent, jie vis tiek nebus itrinti.%n%nAr vis tiek norite tsti diegim?
ComponentSize1=%1 KB
ComponentSize2=%1 MB
ComponentsDiskSpaceMBLabel=Dabartinis Js pasirinkimas reikalauja [mb] MB laisvos vietos diske.

; *** "Select Additional Tasks" wizard page
WizardSelectTasks=Nurodykite papildomas operacijas
SelectTasksDesc=Kokias papildomas operacijas reikia vykdyti?
SelectTasksLabel2=Nurodykite papildomas operacijas, kurias diegimo programa vykdys, kai bus diegiama [name]. Kai bsite pasiruos tsti diegim, spauskite Pirmyn.

; *** "Select Start Menu Folder" wizard page
WizardSelectProgramGroup=Nurodykite Start Menu katalog
SelectStartMenuFolderDesc=Kur diegimo programa turt sukurti nuorodas?
SelectStartMenuFolderLabel3=Nuorodos bus sukurtos iame Start Menu kataloge.
SelectStartMenuFolderBrowseLabel=Nordami tsti diegim spauskite Pirmyn. Jei norite pasirinkti kit katalog, spauskite Nurodyti.
MustEnterGroupName=Js privalote vesti katalogo pavadinim.
GroupNameTooLong=Katalogo pavadinimas ar kelias iki jo per ilgas.
InvalidGroupName=Katalogo pavadinimas yra nekorektikas
BadGroupName=Katalogo pavadinime neturi bti simboli:%n%n%1
NoProgramGroupCheck2=&Nekurti Start Menu katalogo

; *** "Ready to Install" wizard page
WizardReady=Pasirengta diegimui
ReadyLabel1=diegimo programa pasirengusi diegti [name] Js kompiuteryje.
ReadyLabel2a=Spauskite diegti, jei norite tsti diegim, arba Atgal, jeigu norite perirti nustatymus arba juos pakeisti.
ReadyLabel2b=Spauskite diegti, jei norite tsti diegim.
ReadyMemoUserInfo=Vartotojo informacija:
ReadyMemoDir=Katalogas diegimui:
ReadyMemoType=diegimo tipas:
ReadyMemoComponents=Pasirinkti komponentai:
ReadyMemoGroup=Start Menu katalogas:
ReadyMemoTasks=Papildomos operacijos:

; *** "Preparing to Install" wizard page
WizardPreparing=Pasirengimas diegimui
PreparingDesc=diegimo programa pasirengusi [name] diegimui Js kompiuteryje.
PreviousInstallNotCompleted=Ankstesns programos diegimas/alinimas buvo neubaigtas. Jums reikt perkrauti kompiuter, kad ubaigtumte diegim.%n%nKai perkrausite kompiuter, paleiskite diegimo program dar kart, kad pabaigtumte [name] diegim.
CannotContinue=diegimas negali bti tsiamas. Praome paspausti Ataukti, kad baigtumte diegim.

; *** "Installing" wizard page
WizardInstalling=diegimas vyksta
InstallingLabel=Praau palaukti kol diegimo programa diegs [name] Js kompiuteryje.

; *** "Setup Completed" wizard page
FinishedHeadingLabel=[name] diegimas baigtas
FinishedLabelNoIcons=diegimo programa baig [name] diegim Js kompiuteryje.
FinishedLabel=diegimo programa baig [name] diegim Js kompiuteryje. Programa gali bti paleista pasirinkus atitinkamas nuorodas.
ClickFinish=Spauskite Pabaiga, kad udarytumte diegimo program.
FinishedRestartLabel=Skmingam [name] diegimui, reikt perkrauti kompiuter. Ar norite perkrauti j dabar?
FinishedRestartMessage=Skmingam [name] diegimui, reikt perkrauti kompiuter.%n%nAr norite perkrauti j dabar?
ShowReadmeCheck=Taip, a noriau perskaityti README byl
YesRadio=&Taip, a noriu perkrauti kompiuter dabar
NoRadio=&Ne, a perkrausiu kompiuter vliau
; used for example as 'Run MyProg.exe'
RunEntryExec=Vykdyti %1
; used for example as 'View Readme.txt'
RunEntryShellExec=Perirti %1

; *** "Setup Needs the Next Disk" stuff
ChangeDiskTitle=diegimo programai reikia kito diskelio
SelectDiskLabel2=Idkite diskel %1 ir spauskite Gerai.%n%nJeigu reikiamos bylos gali bti surastos kitame kataloge, nei pavaizduota emiau, veskite teising keli arba spauskite Nurodyti.
PathLabel=&Katalogas:
FileNotInDir2=Byla %1 nesurasta kataloge "%2". Praome dti teising diskel arba nurodyti teising keli.
SelectDirectoryLabel=Praome nurodyti kito diskelio viet.

; *** Installation phase messages
SetupAborted=diegimas nebuvo baigtas.%n%nPraome isprsti problem ir paleisti diegimo program vliau.
EntryAbortRetryIgnore=Spauskite Retry, jeigu norite bandyti vl, Ignore - tsti vistiek arba Abort, kad nutrauktumte diegim.

; *** Installation status messages
StatusCreateDirs=Kuriami katalogai...
StatusExtractFiles=Ipakuojamos bylos...
StatusCreateIcons=Kuriamos nuorodos...
StatusCreateIniEntries=Kuriami INI raai...
StatusCreateRegistryEntries=Kuriami registro raai...
StatusRegisterFiles=Registruojamos bylos...
StatusSavingUninstall=Isaugoma informacija programos paalinimui...
StatusRunProgram=Baigiamas diegimas...
StatusRollback=Anuliuojami pakeitimai...

; *** Misc. errors
ErrorInternal2=Vidin klaida: %1
ErrorFunctionFailedNoCode=%1 nepavyko
ErrorFunctionFailed=%1 nepavyko; kodas %2
ErrorFunctionFailedWithMessage=%1 nepavyko; kodas %2.%n%3
ErrorExecutingProgram=Nepavyko paleisti bylos:%n%1

; *** Registry errors
ErrorRegOpenKey=Klaida skaitant registro ra:%n%1\%2
ErrorRegCreateKey=Klaida sukuriant registro ra:%n%1\%2
ErrorRegWriteKey=Klaida raant registro ra:%n%1\%2

; *** INI errors
ErrorIniEntry=Klaida raant INI ra byloje "%1".

; *** File copying errors
FileAbortRetryIgnore=Spauskite Retry, jeigu norite bandyti dar kart, Ignore - praleisti byl (nerekomenduojama) arba Abort - nutraukti diegim.
FileAbortRetryIgnore2=Spauskite Retry, jeigu norite bandyti dar kart, Ignore - tsti vistiek (nerekomenduojama) arba Abort - nutraukti diegim.
SourceIsCorrupted=Byla sugadinta
SourceDoesntExist=Byla "%1" neegzistuoja
ExistingFileReadOnly=Egzistuojanti byla turi tik skaitymo atributus.%n%nSpauskite Retry io atributo itrynimui ir bandyti vl, Ignore - praleisti byl arba Abort - nutraukti diegim.
ErrorReadingExistingDest=Klaida vyko skaitant byl:
FileExists=Tokia byla jau egzistuoja.%n%nAr norite, kad diegimo programa perrayt byl?
ExistingFileNewer=Egzistuojanti byla yra naujesn u t, kuri diegimo programa bando rayti. Rekomenduojama palikti esani naujesn byl.%n%nAr norite palikti naujesn byl?
ErrorChangingAttr=Klaida vyko keiiant bylos atributus:
ErrorCreatingTemp=Klaida vyko kuriant byl pasirinktame kataloge:
ErrorReadingSource=Klaida vyko skaitant diegiamj byl:
ErrorCopying=Klaida vyko kopijuojant byl:
ErrorReplacingExistingFile=Klaida vyko perraant egzistuojani byl:
ErrorRestartReplace=Perkrovimas/Perraymas nepavyko:
ErrorRenamingTemp=Klaida vyko pervadinant byl pasirinktame kataloge:
ErrorRegisterServer=Nepavyko uregistruoti DLL/OCX bibliotekos: %1
ErrorRegSvr32Failed=RegSvr32 registracijos klaida %1
ErrorRegisterTypeLib=Nepavyko uregistruoti tip bibliotekos: %1

; *** Post-installation errors
ErrorOpeningReadme=Klaida vyko bandant atidaryti README byl.
ErrorRestartingComputer=diegimo programa negali perkrauti kompiuterio. Praome perkrauti kompiuter prastu bdu.

; *** Uninstaller messages
UninstallNotFound=Byla "%1" neegzistuoja. Paalinti nemanoma.
UninstallOpenError=Byla "%1" negali bti atidaryta. Paalinti nemanoma.
UninstallUnsupportedVer=Paalinimo log byla %1 yra formato, kurio nesupranta paalinimo programa. Paalinti nemanoma.
UninstallUnknownEntry=Neinomas raas (%1) rastas paalinimo log byloje
ConfirmUninstall=Ar esate tikri, kad norite paalinti %1 ir visus priklausanius komponentus?
UninstallOnlyOnWin64=is diegimas gali bti anuliuotas tik 64 bit Windows sistemose.
OnlyAdminCanUninstall=Tik administratoriaus teises turintis vartotojas gali paalinti program.
UninstallStatusLabel=Praome palaukti, kol %1 bus paalinta i Js kompiuterio.
UninstalledAll=%1 buvo skmingai paalinta i Js kompiuterio.
UninstalledMost=%1 paalinimas skmingai baigtas.%n%nKai kurie elementai nebuvo itrinti - juos galite paalinti rankiniu bdu.
UninstalledAndNeedsRestart=%1 paalinimui ubaigti Js kompiuteris turi bti perkrautas.%n%nAr norite perkrauti j dabar?
UninstallDataCorrupted=%1 byla yra sugadinta. Programos paalinti nemanoma.

; *** Uninstallation phase messages
ConfirmDeleteSharedFileTitle=Itrinti bendrsias bylas?
ConfirmDeleteSharedFile2=Aptikta, kad jokia programa nenaudoja bendrj byl. Ar norite itrinti bendrsias bylas? %n%nJeigu kurios nors programos naudoja ias bylas, ir jos bus itrintos, tos programos gali veikti neteisingai. Jeigu nesate tikras - spauskite Ne. Bylos palikimas Js kompiuteryje nesukels joki problem.
SharedFileNameLabel=Bylos pavadinimas:
SharedFileLocationLabel=Vieta:
WizardUninstalling=Paalinimo eiga
StatusUninstalling=alinama %1...

; The custom messages below aren't used by Setup itself, but if you make
; use of them in your scripts, you'll want to translate them.

[CustomMessages]

NameAndVersion=%1 versija %2
AdditionalIcons=Papildomos piktogramos:
CreateDesktopIcon=Rodyti piktogram &Darbalaukyje
CreateQuickLaunchIcon=Rodyti Spariosios &Paleisties piktogram
ProgramOnTheWeb=%1 iniatinklyje
UninstallProgram=Paalinti %1
LaunchProgram=Paleisti %1
AssocFileExtension=&Susieti %1 program su bylos pltiniu %2
AssocingFileExtension=%1 programa susiejama su bylos pltiniu %2...
